Subject: Mac Mini suspend issues - misidentified model

From: Mark Crichton <[email-masked]>
Date: Thu, 10 Jun 2010 09:50:26 -0400

I've dug up and revived my old Mac Mini (PPC) and been trying to get it
to work again. I was looking at getting the system to suspend to ram,
but it didn't seem to be working. So, I tried to trace down the problem.

I took a look at the kernel code, and I think I may have found the
issue. According to /proc/cpuinfo, my model is a "PowerMac10,2". Looking
at platforms/powermac/feature.c, I only see an entry for "PowerMac10,1".
- From my understanding of the code, this means my machine doesn't get
PMAC_MB_MAY_SLEEP set, hence no suspend to ram.

I can easily get a patch together to just copy the PowerMac10,1 entry in
pmac_mb_defs, for the PowerMac10,2, but I also was wondering if there's
some issues I may run into. However, from what I see in the code, this
seems to be a pretty risk-free operation.

Am I on the right track for this one?

Thanks,
Mark Crichton